Search documentation of grizzly

# View Source Grizzly.ZWave.CommandClasses.HumidityControlSetpoint (grizzly v7.4.2)

HumidityControlSetpoint Command Class

# Summary

## Types

scale()
type()

## Functions

decode_scale(v)
decode_type(v)
encode_scale(atom)
encode_type(atom)

# Types

Link to this type

# scale()

View Source

    @type scale() :: :percentage | :absolute

Link to this type

# type()

View Source

    @type type() :: :humidifier | :dehumidifier | :auto

# Functions

Link to this function

# decode_scale(v)

View Source

    @spec decode_scale(byte()) :: :absolute | :percentage | :unknown

Link to this function

# decode_type(v)

View Source

    @spec decode_type(byte()) :: :auto | :dehumidifier | :humidifier | :unknown

Link to this function

# encode_scale(atom)

View Source

    @spec encode_scale(:absolute | :percentage) :: 0 | 1

Link to this function

# encode_type(atom)

View Source

    @spec encode_type(:auto | :dehumidifier | :humidifier) :: 1 | 2 | 3